NC A&T Home page

System and Browser Requirements

If you are experiencing difficulty logging into your homepage, or using the online forms, please review the following system requirements.

General Requirements

This application works best with the following browsers:

   Latest version of Internet Explorer (IE)
   Latest version of Firefox 


Parts of this application may not function properly on other browsers, including GOOGLE CHROME. In addition to a compatible browser, you will need the free version of
Adobe Acrobat Reader to download and print any required forms.

AOL Users

The AOL browser lacks some functions that are necessary for the application. You may still use AOL for connecting to the Internet, but once connected we strongly recommend that you minimize AOL and launch Internet Explorer (IE) to complete the application.

Cookies

In order for you to log into your homepage, we must be able to create a cookie on your computer. Later version of IE have stronger privacy and cookie settings than previous versions of IE. In order to minimize problems, go to your Tools Menu and click on Internet Options. Go to the Security Tab and move the Security Level Slider to Medium Low. Then go to the Privacy Tab and click on Advanced. Make certain there is a check in Override Automatic Cookie Handling and be sure to check Accept First Party Cookies and Accept Third Party Cookies. This should enable the cookie writing necessary to launch your homepage.